Create a planning card
curl --request POST \
--url https://public-api.revilico.bio/v1/projects/{projectId}/planning/cards \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"columnId": "<string>",
"type": "planned",
"runId": "<string>",
"description": "<string>",
"format": "markdown",
"engine": "<string>",
"plannedStart": "2023-12-25",
"plannedEnd": "2023-12-25",
"assignee": "<string>"
}
'import requests
url = "https://public-api.revilico.bio/v1/projects/{projectId}/planning/cards"
payload = {
"title": "<string>",
"columnId": "<string>",
"type": "planned",
"runId": "<string>",
"description": "<string>",
"format": "markdown",
"engine": "<string>",
"plannedStart": "2023-12-25",
"plannedEnd": "2023-12-25",
"assignee": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
columnId: '<string>',
type: 'planned',
runId: '<string>',
description: '<string>',
format: 'markdown',
engine: '<string>',
plannedStart: '2023-12-25',
plannedEnd: '2023-12-25',
assignee: '<string>'
})
};
fetch('https://public-api.revilico.bio/v1/projects/{projectId}/planning/cards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public-api.revilico.bio/v1/projects/{projectId}/planning/cards",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => '<string>',
'columnId' => '<string>',
'type' => 'planned',
'runId' => '<string>',
'description' => '<string>',
'format' => 'markdown',
'engine' => '<string>',
'plannedStart' => '2023-12-25',
'plannedEnd' => '2023-12-25',
'assignee' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://public-api.revilico.bio/v1/projects/{projectId}/planning/cards"
payload := strings.NewReader("{\n \"title\": \"<string>\",\n \"columnId\": \"<string>\",\n \"type\": \"planned\",\n \"runId\": \"<string>\",\n \"description\": \"<string>\",\n \"format\": \"markdown\",\n \"engine\": \"<string>\",\n \"plannedStart\": \"2023-12-25\",\n \"plannedEnd\": \"2023-12-25\",\n \"assignee\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://public-api.revilico.bio/v1/projects/{projectId}/planning/cards")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"<string>\",\n \"columnId\": \"<string>\",\n \"type\": \"planned\",\n \"runId\": \"<string>\",\n \"description\": \"<string>\",\n \"format\": \"markdown\",\n \"engine\": \"<string>\",\n \"plannedStart\": \"2023-12-25\",\n \"plannedEnd\": \"2023-12-25\",\n \"assignee\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://public-api.revilico.bio/v1/projects/{projectId}/planning/cards")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"<string>\",\n \"columnId\": \"<string>\",\n \"type\": \"planned\",\n \"runId\": \"<string>\",\n \"description\": \"<string>\",\n \"format\": \"markdown\",\n \"engine\": \"<string>\",\n \"plannedStart\": \"2023-12-25\",\n \"plannedEnd\": \"2023-12-25\",\n \"assignee\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"type": "planned",
"title": "<string>",
"column": {
"id": "<string>",
"name": "<string>"
},
"position": 123,
"engine": "<string>",
"plannedStart": "<string>",
"plannedEnd": "<string>",
"assignee": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"createdBy": {
"id": "<string>",
"name": "<string>"
},
"run": {
"id": "<string>",
"engine": "<string>",
"status": "queued"
},
"linkedRuns": [
{
"id": "<string>",
"engine": "<string>",
"status": "queued"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"format": "markdown",
"description": "<string>"
}{
"error": {
"code": "VALIDATION_FAILED",
"message": "The request is malformed."
}
}{
"error": {
"code": "MISSING_CREDENTIALS",
"message": "The API key is missing or not valid."
}
}{
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "The key may not do this."
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Not found, or not visible to you."
}
}{
"error": {
"code": "INVALID_PARAMETERS",
"message": "The parameters or input files don't fit the engine."
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Something went wrong on our side."
}
}{
"error": {
"code": "ENGINE_SUBMIT_FAILED",
"message": "The engine service rejected or failed the request."
}
}Planning
Create a planning card
Adds a card to the end of a column: planned work (planned), or a card tracking one of the project’s runs (run). The description is markdown by default, converted to the HTML the web app’s editor uses. Needs editor or owner.
Scope: runs:write.
POST
/
v1
/
projects
/
{projectId}
/
planning
/
cards
Create a planning card
curl --request POST \
--url https://public-api.revilico.bio/v1/projects/{projectId}/planning/cards \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"columnId": "<string>",
"type": "planned",
"runId": "<string>",
"description": "<string>",
"format": "markdown",
"engine": "<string>",
"plannedStart": "2023-12-25",
"plannedEnd": "2023-12-25",
"assignee": "<string>"
}
'import requests
url = "https://public-api.revilico.bio/v1/projects/{projectId}/planning/cards"
payload = {
"title": "<string>",
"columnId": "<string>",
"type": "planned",
"runId": "<string>",
"description": "<string>",
"format": "markdown",
"engine": "<string>",
"plannedStart": "2023-12-25",
"plannedEnd": "2023-12-25",
"assignee": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
columnId: '<string>',
type: 'planned',
runId: '<string>',
description: '<string>',
format: 'markdown',
engine: '<string>',
plannedStart: '2023-12-25',
plannedEnd: '2023-12-25',
assignee: '<string>'
})
};
fetch('https://public-api.revilico.bio/v1/projects/{projectId}/planning/cards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public-api.revilico.bio/v1/projects/{projectId}/planning/cards",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => '<string>',
'columnId' => '<string>',
'type' => 'planned',
'runId' => '<string>',
'description' => '<string>',
'format' => 'markdown',
'engine' => '<string>',
'plannedStart' => '2023-12-25',
'plannedEnd' => '2023-12-25',
'assignee' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://public-api.revilico.bio/v1/projects/{projectId}/planning/cards"
payload := strings.NewReader("{\n \"title\": \"<string>\",\n \"columnId\": \"<string>\",\n \"type\": \"planned\",\n \"runId\": \"<string>\",\n \"description\": \"<string>\",\n \"format\": \"markdown\",\n \"engine\": \"<string>\",\n \"plannedStart\": \"2023-12-25\",\n \"plannedEnd\": \"2023-12-25\",\n \"assignee\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://public-api.revilico.bio/v1/projects/{projectId}/planning/cards")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"<string>\",\n \"columnId\": \"<string>\",\n \"type\": \"planned\",\n \"runId\": \"<string>\",\n \"description\": \"<string>\",\n \"format\": \"markdown\",\n \"engine\": \"<string>\",\n \"plannedStart\": \"2023-12-25\",\n \"plannedEnd\": \"2023-12-25\",\n \"assignee\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://public-api.revilico.bio/v1/projects/{projectId}/planning/cards")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"<string>\",\n \"columnId\": \"<string>\",\n \"type\": \"planned\",\n \"runId\": \"<string>\",\n \"description\": \"<string>\",\n \"format\": \"markdown\",\n \"engine\": \"<string>\",\n \"plannedStart\": \"2023-12-25\",\n \"plannedEnd\": \"2023-12-25\",\n \"assignee\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"type": "planned",
"title": "<string>",
"column": {
"id": "<string>",
"name": "<string>"
},
"position": 123,
"engine": "<string>",
"plannedStart": "<string>",
"plannedEnd": "<string>",
"assignee": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"createdBy": {
"id": "<string>",
"name": "<string>"
},
"run": {
"id": "<string>",
"engine": "<string>",
"status": "queued"
},
"linkedRuns": [
{
"id": "<string>",
"engine": "<string>",
"status": "queued"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"format": "markdown",
"description": "<string>"
}{
"error": {
"code": "VALIDATION_FAILED",
"message": "The request is malformed."
}
}{
"error": {
"code": "MISSING_CREDENTIALS",
"message": "The API key is missing or not valid."
}
}{
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "The key may not do this."
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Not found, or not visible to you."
}
}{
"error": {
"code": "INVALID_PARAMETERS",
"message": "The parameters or input files don't fit the engine."
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Something went wrong on our side."
}
}{
"error": {
"code": "ENGINE_SUBMIT_FAILED",
"message": "The engine service rejected or failed the request."
}
}Authorizations
Body
application/json
Response
OK

